complexType "ReportIdentification"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | reportId?, sectionNumber?, numberOfSections?, submissionsComplete?
</...>

Content Model Elements (4):

  numberOfSections,
  reportId,
  sectionNumber,
  submissionsComplete (defined in ReportIdentification complexType)

All Direct / Indirect Based Elements (2):

  reportIdentification (in valuationReport), | reportIdentification (in valuationReportRetracted)

Known Usage Locations

- As direct type of elements (2):

  reportIdentification (in valuationReport), | reportIdentification (in valuationReportRetracted)

Annotation
A type that allows the specific report and section to be identified.
Type Definition Detail

Type Derivation Tree ReportSectionIdentification (extension) ReportIdentification

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ReportIdentification"> <xsd:complexContent> <xsd:extension base="ReportSectionIdentification"> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfSections" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
numberOfSections

  Type: | xsd:positiveInteger, predefined, simple content

  A numeric value, optionally supplied by the sender, that can be used to specify the number of sections constituting a report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfSections" type="xsd:positiveInteger"/>

submissionsComplete

  Type: | xsd:boolean, predefined, simple content

  Indicates whether all sections have been sent for this report instance ID.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.